apiVersion: v1
kind: Service
metadata:
  name: external-mysql
  namespace: zjyd
spec:
  type: ClusterIP
  ports:
    - name: my-port
      port: 13306
      targetPort: 13306
  selector: {}  # 选择器为空，表示不选择任何 Pod

---
apiVersion: v1
kind: Endpoints
metadata:
  name: external-mysql
  namespace: zjyd
subsets:
  - addresses:
      - ip: 192.168.10.10
    ports:
      - port: 33061
